=== examples/csoap/Makefile ===
# Makefile.in generated by automake 1.10.3 from Makefile.am.
# examples/csoap/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/csoap
pkglibdir = $(libdir)/csoap
pkgincludedir = $(includedir)/csoap
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = simpleclient$(EXEEXT) simpleserver$(EXEEXT) \
	echoattachments-client$(EXEEXT) \
	echoattachments-server$(EXEEXT)
bin_PROGRAMS = soapclient$(EXEEXT)
subdir = examples/csoap
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am_echoattachments_client_OBJECTS = echoattachments-client.$(OBJEXT)
echoattachments_client_OBJECTS = $(am_echoattachments_client_OBJECTS)
echoattachments_client_LDADD = $(LDADD)
echoattachments_client_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_echoattachments_server_OBJECTS = echoattachments-server.$(OBJEXT)
echoattachments_server_OBJECTS = $(am_echoattachments_server_OBJECTS)
echoattachments_server_LDADD = $(LDADD)
echoattachments_server_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_simpleclient_OBJECTS = simpleclient.$(OBJEXT)
simpleclient_OBJECTS = $(am_simpleclient_OBJECTS)
simpleclient_LDADD = $(LDADD)
simpleclient_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_simpleserver_OBJECTS = simpleserver.$(OBJEXT)
simpleserver_OBJECTS = $(am_simpleserver_OBJECTS)
simpleserver_LDADD = $(LDADD)
simpleserver_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_soapclient_OBJECTS = soapclient.$(OBJEXT)
soapclient_OBJECTS = $(am_soapclient_OBJECTS)
soapclient_LDADD = $(LDADD)
soapclient_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(echoattachments_client_SOURCES) \
	$(echoattachments_server_SOURCES) $(simpleclient_SOURCES) \
	$(simpleserver_SOURCES) $(soapclient_SOURCES)
DIST_SOURCES = $(echoattachments_client_SOURCES) \
	$(echoattachments_server_SOURCES) $(simpleclient_SOURCES) \
	$(simpleserver_SOURCES) $(soapclient_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -pthread -g -O2 -g -Wall -O2 -I/usr/include/libxml2 -I/usr/include/openssl
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -lxml2 -L/usr/lib
LIBNSL = -lnsl
LIBOBJS = 
LIBS =   -lssl -lcrypto
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = csoap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = csoap
PACKAGE_STRING = csoap 1.1.0
PACKAGE_TARNAME = csoap
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.0
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2
abs_builddir = /tmp/u/libcsoap-1.1.0/examples/csoap
abs_srcdir = /tmp/u/libcsoap-1.1.0/examples/csoap
abs_top_builddir = /tmp/u/libcsoap-1.1.0
abs_top_srcdir = /tmp/u/libcsoap-1.1.0
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
csoap_major = 1
csoap_minor = 1
csoap_patch = 0
csoap_release = 1.1
csoap_version = 2:0:1
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /tmp/u/libcsoap-1.1.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libcsoap
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /bin/mkdir -p
nanohttp_release = 1.1
nanohttp_version = 2:0:1
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
LDADD = ../../nanohttp/libnanohttp.la ../../libcsoap/libcsoap.la
INCLUDES = -I${top_srcdir}
simpleclient_SOURCES = simpleclient.c
simpleserver_SOURCES = simpleserver.c
echoattachments_server_SOURCES = echoattachments-server.c
echoattachments_client_SOURCES = echoattachments-client.c
soapclient_SOURCES = soapclient.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/csoap/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/csoap/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
echoattachments-client$(EXEEXT): $(echoattachments_client_OBJECTS) $(echoattachments_client_DEPENDENCIES) 
	@rm -f echoattachments-client$(EXEEXT)
	$(LINK) $(echoattachments_client_OBJECTS) $(echoattachments_client_LDADD) $(LIBS)
echoattachments-server$(EXEEXT): $(echoattachments_server_OBJECTS) $(echoattachments_server_DEPENDENCIES) 
	@rm -f echoattachments-server$(EXEEXT)
	$(LINK) $(echoattachments_server_OBJECTS) $(echoattachments_server_LDADD) $(LIBS)
simpleclient$(EXEEXT): $(simpleclient_OBJECTS) $(simpleclient_DEPENDENCIES) 
	@rm -f simpleclient$(EXEEXT)
	$(LINK) $(simpleclient_OBJECTS) $(simpleclient_LDADD) $(LIBS)
simpleserver$(EXEEXT): $(simpleserver_OBJECTS) $(simpleserver_DEPENDENCIES) 
	@rm -f simpleserver$(EXEEXT)
	$(LINK) $(simpleserver_OBJECTS) $(simpleserver_LDADD) $(LIBS)
soapclient$(EXEEXT): $(soapclient_OBJECTS) $(soapclient_DEPENDENCIES) 
	@rm -f soapclient$(EXEEXT)
	$(LINK) $(soapclient_OBJECTS) $(soapclient_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

#include ./$(DEPDIR)/echoattachments-client.Po
#include ./$(DEPDIR)/echoattachments-server.Po
#include ./$(DEPDIR)/simpleclient.Po
#include ./$(DEPDIR)/simpleserver.Po
#include ./$(DEPDIR)/soapclient.Po

.c.o:
#	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c $<

.c.obj:
#	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
#	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
