=== debian/changelog ===
libcsoap (1.1.0-17.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control, debian/rules: Switch to automake1.11. (Closes:
    #724399)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 16:04:44 -0500
