=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOMAKE = 1.11 --foreign --add-missing --copy
DEB_AUTO_UPDATE_AUTOCONF = 1.11

DEB_INSTALL_EXAMPLES_libcsoap-dev  = examples/*
DEB_DH_STRIP_ARGS_libcsoap1-dbg := --dbg-package=libcsoap1-dbg
DEB_DH_STRIP_ARGS_libnanohttp1-dbg := --dbg-package=libnanohttp1-dbg
DEB_CONFIGURE_USER_FLAGS := --with-ssl
